Subject: bug#60101: 29.0.60; help-quick should use C-/ for undo

From: Juri Linkov <[email-masked]>
Date: Sat, 17 Dec 2022 19:10:44 +0200

> The new help-quick command makes use of `where-is-internal' to find the
> binding for a command ti displays.  This works fine if a command has
> only one binding, but in the case of `undo', C-_ is the first one it
> suggests

I tried to reproduce this problem, and typed 'C-h C-h' that showed:

  Other Help Commands

     C-e 	Extending Emacs with external packages
     p 	Search for Emacs packages (see also M-x list-packages)
     P 	Describe a specific Emacs package

     t 	Start the Emacs tutorial
     M-x help-quick-or-quit 	Display the quick help buffer.
     e 	Show recent messages (from echo area)
     l 	Show last 300 input keystrokes (lossage)
     . 	Show local help at point

I wonder if typing the suggested 'M-x help-quick-or-quit'
is really a quick way to get help?

Then I typed 'M-x help-quick-or-quit RET' but it doesn't exist
with "[No match]".

Then after 'C-h C-h' I tried to type 'q' (that means 'quick')
but it closed the Help window.

Finally, I opened the source code and found the command
'M-x cheat-sheet RET' that displayed the Help buffer.

But there is 'undo' displayed as bound to 'C-x u', not to other keys.